<?php

// Multiple Inclusion Protection
if (!defined("CLASS_ACTIVITY_INC"))
{
define("CLASS_ACTIVITY_INC",1);
// Multiple Inclusion Protection

  class activity extends atkNode
  {
    function activity()
    {
      $this->atkNode("activity"); // node() constructor is *not* called automatically!

      $this->addAttribute(new atkAttribute("id",AF_PRIMARY|AF_AUTO_INCREMENT|AF_HIDE));
      $this->addAttribute(new atkAttribute("name",AF_OBLIGATORY|AF_UNIQUE|AF_SEARCHABLE));
      $this->addAttribute(new atkAttribute("description",AF_SEARCHABLE));
      $this->addAttribute(new atkBoolAttribute("remarkrequired"));

      $this->setTable("activity","activity");
      $this->setOrder("name");

      $this->debug("activity::activity()");
    }

    function descriptor_def()
    {
      return "[name]";
    }
  
    function action_stats()
    {
      include "activitystats.inc";
    }
    
  }

} // endif CLASS_ACTIVITY_INC;

?>
